<?php 
	if(!isset($_SESSION))
		session_start();
	if (!isset($_SESSION['usuarioLogin']) || $_SESSION['usuarioLogin'] == ""){
		session_unset();
		session_destroy();
		header("Location: login.php");
		exit();
	}
?>
<?php
	require_once('../../Connections/catalogo.php');
		
	$datosUsuario = "";
	if (isset($_GET['idUsuario']) && $_GET['idUsuario'] != ''){
		$query = "SELECT * FROM usuarios WHERE id = " . $_GET['idUsuario'];
		$usuario = $mysqli->query($query);
		$datosUsuario = $usuario->fetch_object();
	}
			
	if(isset($_POST['accion'])){
		$accion = $_POST['accion'];
		if ($accion == 'alta'){
			$cla_md5 = md5($_POST['clave']);
			$query = "INSERT INTO usuarios (usuario, clave, email) VALUES ('" . $_POST['usuario'] . "', '" . $cla_md5 . "', '" . $_POST['email'] . "')";
		}
		else if ($accion = 'editar'){
			if ($_POST['clave'] != '' && $_POST['repetir_clave'] != ''){
				$cla_md5 = md5($_POST['clave']);
				$query = "UPDATE usuarios SET clave = '" . $cla_md5 . "', email = '" . $_POST['email'] . "' WHERE id = " . $_POST['idUsuarioEditar'];
			}
			else{
				$query = "UPDATE usuarios SET email = '" . $_POST['email'] . "' WHERE id = " . $_POST['idUsuarioEditar'];
			}
		}
		$mysqli->query($query);
		$urlReferer = $_SERVER['HTTP_REFERER'];
		header("Location: " . $urlReferer);
		exit();
	}
if (isset($_GET['idUsuario']) && $_GET['idUsuario'] != ''){
?>
	<h3>Edición de Usuario:</h3>
<?php	
} else { ?>
	<h3>Nuevo Usuario:</h3>
<?php
} ?>
<form action=<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?> onsubmit="return validarDatos('usuarios')" method="POST" name="alta_usu">
<div align="right">
    <a href="javascript:OcultarAltaEditar('usuarios')">
    	<img id="imageField" name="imageField" class="btn_buscar" type="image" src="imagenes/back.png" align="middle" width="53px" height="53px">
    </a>
    <input id="imageField" name="imageField" class="btn_buscar" type="image" src="imagenes/ok.png" align="middle" width="53px" height="53px">
</div>
	<input type="hidden" id="idUsuarioEditar" name="idUsuarioEditar" value="<?php echo $_GET['idUsuario'] ?>">
    <input type="hidden" id="usuario_clave" name="usuario_clave" value="<?php echo $datosUsuario->clave ?>">
    <?php
    if (isset($_GET['idUsuario']) && $_GET['idUsuario'] != ''){ ?>
		<input type="hidden" name="accion" value="editar">
    <?php	
	} else { ?>
    	<input type="hidden" name="accion" value="alta">
    <?php
	}?>  
    <p>&nbsp;</p>
    <?php
    if (isset($_GET['idUsuario']) && $_GET['idUsuario'] != ''){ ?>
    	<label style="clear:both">Usuario</label>
    	<input name="usuario" id="usuario" type="text" class="combo_buscar" placeholder="Usuario" value="<?php echo $datosUsuario->usuario ?>" readonly="readonly">
        <p>&nbsp;</p>
        <label style="clear:both">Email</label>
        <input name="email" id="email" type="text" class="combo_buscar" placeholder="Email" value="<?php echo $datosUsuario->email ?>">
        <p>&nbsp;</p>
        <a id="a_cambiar_clave" href="javascript:cambiarClaveClick()" style="font-size:1em;color:#000;">Cambiar Clave</a>
        <div id="div_cambiar_clave" style="visibility:hidden">
        	<p>&nbsp;</p>
            <label style="clear:both">Clave Anterior:</label>
            <input name="clave_anterior" id="clave_anterior" type="text" class="combo_buscar" placeholder="Clave Anterior">
             <p>&nbsp;</p>
            <label style="clear:both">Nueva Clave</label>
            <input name="clave" id="clave" type="password" class="combo_buscar" placeholder="Nueva Clave">
            <p>&nbsp;</p>
            <label style="clear:both">Repetir Clave</label>
            <input name="repetir_clave" id="repetir_clave" type="password" class="combo_buscar" placeholder="Repetir Clave">
        </div>
    <?php 
	}
	else{?>
    	<label style="clear:both">Usuario</label>
    	<input name="usuario" id="usuario" type="text" class="combo_buscar" placeholder="Usuario">
        <p>&nbsp;</p>
        <label style="clear:both">Email</label>
        <input name="email" id="email" type="text" class="combo_buscar" placeholder="Email">
        <p>&nbsp;</p>
        <label style="clear:both">Clave</label>
        <input name="clave" id="clave" type="password" class="combo_buscar" placeholder="Clave">
        <p>&nbsp;</p>
        <label style="clear:both">Repetir Clave</label>
        <input name="repetir_clave" id="repetir_clave" type="password" class="combo_buscar" placeholder="Repetir Clave">
    <?php } ?>
</form>